Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706608 - net-libs/libsrtp-2.2.0 : fails to build with -fno-common or gcc-10
Summary: net-libs/libsrtp-2.2.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 02:52 UTC by Toralf Förster
Modified: 2020-01-28 14:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.70 KB, text/plain)
2020-01-27 02:52 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,29.09 KB, text/plain)
2020-01-27 02:52 UTC, Toralf Förster
Details
environment (environment,75.24 KB, text/plain)
2020-01-27 02:52 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.80 KB, application/x-bzip)
2020-01-27 02:52 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.34 KB, application/x-bzip)
2020-01-27 02:52 UTC, Toralf Förster
Details
net-libs:libsrtp-2.2.0:20200127-010048.log (net-libs:libsrtp-2.2.0:20200127-010048.log,11.55 KB, text/plain)
2020-01-27 02:52 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.05 KB, application/x-bzip)
2020-01-27 02:52 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 02:52:21 UTC
x86_64-pc-linux-gnu-ar cr libsrtp2.a srtp/srtp.o srtp/ekt.o crypto/cipher/cipher.o crypto/cipher/null_cipher.o crypto/cipher/aes_icm_ossl.o crypto/cipher/aes_gcm_ossl.o crypto/hash/null_auth.o crypto/hash/auth.o crypto/hash/hmac_ossl.o crypto/math/datatypes.o crypto/math/stat.o crypto/kernel/crypto_kernel.o crypto/kernel/alloc.o crypto/kernel/key.o crypto/kernel/err.o crypto/replay/rdb.o crypto/replay/rdbx.o crypto/replay/ut_sim.o
x86_64-pc-linux-gnu-ranlib libsrtp2.a
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include  -O2 -pipe -march=native -fno-common -fPIC  -L. -Wl,-O1 -Wl,--as-needed -o crypto/test/cipher_driver crypto/test/cipher_driver.c test/getopt_s.c libsrtp2.a -lcrypto -lresolv -lpthread   -lsrtp2
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include  -O2 -pipe -march=native -fno-common -fPIC  -I./test -L. -Wl,-O1 -Wl,--as-needed -o crypto/test/datatypes_driver crypto/test/datatypes_driver.c test/util.c libsrtp2.a -lcrypto -lresolv -lpthread   -lsrtp2
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libsrtp2.a(datatypes.o):(.bss+0x0): multiple definition of `bit_string'; /var/tmp/portage/net-libs/libsrtp-2.2.0/temp/ccuqWrFj.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *



Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)





repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 23:46:11 +0000

emerge -qpvO net-libs/libsrtp
[ebuild  N    ] net-libs/libsrtp-2.2.0  USE="libressl openssl test -aesicm -console -debug -doc -static-libs -syslog" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 02:52:24 UTC
Created attachment 605118 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 02:52:26 UTC
Created attachment 605120 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 02:52:29 UTC
Created attachment 605122 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 02:52:32 UTC
Created attachment 605124 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 02:52:35 UTC
Created attachment 605126 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 02:52:37 UTC
Created attachment 605128 [details]
net-libs:libsrtp-2.2.0:20200127-010048.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 02:52:40 UTC
Created attachment 605130 [details]
temp.tbz2
Comment 8 Stephan Hartmann 2020-01-27 10:10:28 UTC
Upstream pull request:
https://github.com/cisco/libsrtp/pull/486
Comment 9 Larry the Git Cow gentoo-dev 2020-01-28 14:09:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=131011cbfcd351810e8cfe0350ddb17b2312f326

commit 131011cbfcd351810e8cfe0350ddb17b2312f326
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-01-27 09:19:51 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-01-28 14:09:28 +0000

    net-libs/libsrtp: fix building with gcc-10
    
    Closes: https://bugs.gentoo.org/706608
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14470

 net-libs/libsrtp/files/libsrtp-2.2.0-gcc-10.patch | 26 +++++++++++++++++++++++
 net-libs/libsrtp/libsrtp-2.2.0.ebuild             |  7 ++++--
 2 files changed, 31 insertions(+), 2 deletions(-)